The tag has no usage guidance.

learn more… | top users | synonyms

0
votes
2answers
122 views

ruby gem install to 1.9.1 instead of 1.8

I ran the following lines in linux gem install mysql And it installed the mysql gem to /var/lib/gems/1.8/gems. That's not where I want it. I wnat it at /var/lib/gems/1.9.1/gems. I could just copy ...
2
votes
1answer
401 views

Can I install some ruby gem on a standard OS X user?

I have a Admin user for serious stuff and a Standard user for daily tasks, including front-end development. On the Admin user, I can install Brew, RVM, Middleman etc. But on the Stardard user, where I ...
1
vote
1answer
143 views

RHEL json gem installation requires make?

When I try to install json gem (gem install json), at first it fails to do so, because of some dev package issue. After fixing it, it fails saying that "sh: make: command not found" and "ERROR: ...
0
votes
1answer
689 views

gem install won't do anything - Mountain Lion

I just got a recent installation of Mountain Lion. I installed homebrew and the gcc on dupes to compile proper rubies. Now, with new versions of ruby (1.9.2) I can create and install gemsets and gems. ...
0
votes
1answer
917 views

Redmine installation - Ruby MySQL connector issue

I am trying to migrate from TRAC to Redmine, though i encountered a problem with the installation procedure. i follow the install guide at : http://www.redmine.org/projects/redmine/wiki/...
0
votes
1answer
227 views

installing SQLite3 gem on remote FreeBSD server using RVM - root permissions needed?

I am trying to install ruby SQLite3 gem, on a remote freebsd server. I'm using RVM which in theory does not need 'root permission' to compile gems but I get a root error, here: [user ~]$ gem ...
0
votes
1answer
356 views

I cannot get pg-0.14.0 gem installed after Mountain Lion install

I have been trying for some time now to get my Rails development environment back up since I upgraded from Lion to Mountain Lion. The problem is specifically installing the pg-0.14.0 (postgresql) gem. ...
0
votes
1answer
133 views

Cannot find Ruby on Rails installed

I've managed to install Ruby and the gems install (rvm?) but now I'm stuck actually installing Ruby on Rails. Every time I execute, gem install rails Terminal says that it's fetching each file and ...
0
votes
1answer
505 views

Process monitor service in Windows

I need something that runs in the background as a service (Windows), watches defined process and when it crosses thresholds it restarts/stop/starts the process again? (similar functionality of rubygem ...
1
vote
0answers
365 views

can I remove imagemagick by deleting directories?

I posted this to StackOverflow, but probably belongs here. I'm on OSX Lion, trying to get back to basics so I can run RMagick in Rails 3.0, using rvm. When I tried to add the RMagick gem to Rails ...
0
votes
0answers
15 views

Organize your gems in Arch Linux

Dear super user community, I tried to understand organization gems in Arch Linux. I know that in default Arch installs gems in home directory (for one user) so when I put gem install package_name the ...
0
votes
0answers
132 views

Failed to install native Ruby Gem wdm 0.1.1 on Windows 7 x64 (Ruby 2.2.0)

Outdated Story (find the update below the next heading) I can't find out why wdm won't install on my computer. I have tried using the Cygwin bash, Windows cmd and GIT bash. Console output: $ gem ...
0
votes
0answers
81 views

How to downgrade rubygem2.4.8 to lower gems version which matches to my ruby version 1.9.1

I'm very new to Linux and to Calabash automation. and I roamed around Google, several sites, blogs to resolve my above problem but could not get the exact way to resolve it. I tried different commands ...
0
votes
0answers
150 views

How to avoid gem update error in windows?

Showing below error C:\Ruby21>gem update Updating installed gems ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: ...
0
votes
0answers
672 views

Gem: Could not find a valid gem in any repository

my problem is that I installed ruby and gem successfully with no errors, but when I go any further, trying to install any gem, it threw an error: ERROR: Could not find a valid gem '<name>' (&...